public
Created

dev-release as dev-master

  • Download Gist
gistfile1.txt
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36
Does this mean that installing a seperate branch of a package is not possible when required sub-packages also mention that branch? (in my case zf-commons/zfc-user requires dev-master).
 
Trying to install dev-release as dev-master... Note: I deleted the lock file and the vendor directory.
 
"require": {
"php": ">=5.3.3",
"zendframework/zendframework": "dev-release as dev-master",
...
 
 
Rattletrap:juffrouwjansen-winkels.nl bas$ composer.phar install -v
Loading composer repositories with package information
Reading composer.json of bacon/BaconAssetLoader (feature/composer)
Importing branch feature/composer (dev-feature/composer)
Reading composer.json of bacon/BaconAssetLoader (feature/zf2beta4)
Skipped branch feature/zf2beta4, no composer file
Reading composer.json of bacon/BaconAssetLoader (fix/beta5)
Importing branch fix/beta5 (dev-fix/beta5)
Reading composer.json of bacon/BaconAssetLoader (fix/config-rename)
Importing branch fix/config-rename (dev-fix/config-rename)
Reading composer.json of bacon/BaconAssetLoader (hotfix/manager)
Importing branch hotfix/manager (dev-hotfix/manager)
Reading composer.json of bacon/BaconAssetLoader (master)
Importing branch master (dev-master)
Reading composer.json of bacon/BaconAssetLoader (tmp/master)
Importing branch tmp/master (dev-tmp/master)
Reading composer.json of speckcommerce/SpeckMultisite (master)
Importing branch master (dev-master)
Installing dependencies
Your requirements could not be resolved to an installable set of packages.
 
Problem 1
- Installation request for zendframework/zendframework dev-release as dev-master -> satisfiable by zendframework/zendframework dev-release.
- zf-commons/zfc-user dev-master requires zendframework/zendframework dev-master -> satisfiable by zendframework/zendframework dev-master.
- Can only install one of: zendframework/zendframework dev-release, zendframework/zendframework dev-master.
- Installation request for zf-commons/zfc-user dev-master -> satisfiable by zf-commons/zfc-user dev-master.

Please sign in to comment on this gist.

Something went wrong with that request. Please try again.